Skip to content
Start here

Bulk import account Email Sending suppressions

email_sending.suppressions.import_(SuppressionImportParams**kwargs) -> SuppressionImportResponse
POST/accounts/{account_id}/email/sending/suppressions/bulk

Imports up to 1,000 account-level Email Sending suppressions in one request.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
items: Iterable[Item]
email: str
expires_at: Optional[Union[str, datetime, null]]
formatdate-time
note: Optional[str]
maxLength1000
ReturnsExpand Collapse
class SuppressionImportResponse:
deduplicated: int
errors: int
invalid: int
items: List[Item]
index: int
status: Literal["processed", "invalid", "error", "skipped"]
One of the following:
"processed"
"invalid"
"error"
"skipped"
id: Optional[str]
formatuuid
email: Optional[str]
formatemail
error: Optional[str]
processed: int
skipped: int
total: int

Bulk import account Email Sending suppressions

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.email_sending.suppressions.import_(
    account_id="54442216",
    items=[{
        "email": "email"
    }],
)
print(response.invalid)
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "deduplicated": 1,
    "errors": 0,
    "invalid": 1,
    "items": [
      {
        "index": 0,
        "status": "processed",
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "email": "user@example.com",
        "error": "Invalid email"
      }
    ],
    "processed": 2,
    "skipped": 0,
    "total": 4
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "deduplicated": 1,
    "errors": 0,
    "invalid": 1,
    "items": [
      {
        "index": 0,
        "status": "processed",
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "email": "user@example.com",
        "error": "Invalid email"
      }
    ],
    "processed": 2,
    "skipped": 0,
    "total": 4
  },
  "success": true
}